## org.biojavax
Interface Comment

All Superinterfaces:
  Changeable, Comparable

All Known Implementing Classes:
  SimpleComment

    public interface Comment

extends Comparable, Changeable

A simple ranked comment designed to be used for BioEntry comments in BioSQL. The Comment field is intended to be set by the constructor and is immuntable; the Rank field is changeable.

Since:
  1.5
Author:
  Richard Holland, gwaldon
See Also:
  `BioEntry`

Field Summary
`static ChangeType` `RANK`

Method Summary
`String` `getComment()` Returns the comment part of this comment.
`int` `getRank()` Returns the rank of this comment.
`void` `setRank(int rank)` Sets the rank of this comment.

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### RANK

    static final ChangeType RANK

Method Detail

### getComment

    String getComment()

  Returns the comment part of this comment.

  Returns:
    a comment.

### getRank

    int getRank()

  Returns the rank of this comment.

  Returns:
    the rank.

### setRank

    void setRank(int rank)
                 throws ChangeVetoException

  Sets the rank of this comment.

  Parameters:
    `rank` - the rank to use.
  Throws:
    `ChangeVetoException` - if the new rank is unacceptable.